GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

Get content gap overview GETList content gaps GETGet content gap GET
Content gaps

List fan-out prompts GET

Prompts with the fanout queries their answers ran.

List content gaps GET

Enabled prompts with their latest coverage.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Content gaps

Get content gap overview

GET
/brands/{brandId}/content-gaps/overview

Average coverage, level and type breakdown, crawl state and history.

Authorization

apiKey
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Path Parameters

brandId*string
Formatuuid

Query Parameters

types?string

Comma-separated prompt types

Lengthlength <= 2000
intents?string

Comma-separated prompt intents

Lengthlength <= 2000
topics?string

Comma-separated topic ids

Lengthlength <= 2000
tags?string

Comma-separated tag ids

Lengthlength <= 2000
q?string

Matches the prompt text

Lengthlength <= 200
days?integer
Default90

Response Body

Coverage overview

application/json
  1. response
  1. response
  2. …
crawl*
average*integer|null
analyzed*integer
total*integer
distribution*
byType*array<>
kpis*
history*array<>
canRefresh*boolean
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/content-gaps/overview'
Example Response
{  "crawl": {    "status": "none",    "pages": 0,    "sitemapUrls": 0,    "crawledUrls": 0,    "finishedAt": "string",    "error": "string"  },  "average": 0,  "analyzed": 0,  "total": 0,  "distribution": {    "excellent": 0,    "good": 0,    "medium": 0,    "low": 0  },  "byType": [    {      "type": "string",      "score": 0,      "good": 0,      "total": 0    }  ],  "kpis": {    "pages": 0,    "excellent": {      "before": 0,      "now": 0    },    "active": {      "before": 0,      "now": 0    }  },  "history": [    {      "day": "string",      "average": 0    }  ],  "canRefresh": true}

List fan-out prompts GET

Prompts with the fanout queries their answers ran.

List content gaps GET

Enabled prompts with their latest coverage.

Start free trial
Start free trial
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/content-gaps/overview'
{
  "crawl": {
    "status": "none",
    "pages": 0,
    "sitemapUrls": 0,
    "crawledUrls": 0,
    "finishedAt": "string",
    "error": "string"
  },
  "average": 0,
  "analyzed": 0,
  "total": 0,
  "distribution": {
    "excellent": 0,
    "good": 0,
    "medium": 0,
    "low": 0
  },
  "byType": [
    {
      "type": "string",
      "score": 0,
      "good": 0,
      "total": 0
    }
  ],
  "kpis": {
    "pages": 0,
    "excellent": {
      "before": 0,
      "now": 0
    },
    "active": {
      "before": 0,
      "now": 0
    }
  },
  "history": [
    {
      "day": "string",
      "average": 0
    }
  ],
  "canRefresh": true
}